Vscape Media Manager Version 3, the most recent and up to date version, requires Flash Version 10.2.0 or greater. Please install the most recent version of Flash.